Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PortableInterceptor::ClientRequestInterceptor_var Class Reference

`#include <PortableInterceptorC.h>`

Inheritance diagram for PortableInterceptor::ClientRequestInterceptor_var:

[legend]
Collaboration diagram for PortableInterceptor::ClientRequestInterceptor_var:

[legend]
List of all members.

## Public Methods
| ClientRequestInterceptor_var (void)
| ClientRequestInterceptor_var (ClientRequestInterceptor_ptr p)
| ClientRequestInterceptor_var (const ClientRequestInterceptor_var &)
| ~ClientRequestInterceptor_var (void)
ClientRequestInterceptor_var & | operator= (ClientRequestInterceptor_ptr)
ClientRequestInterceptor_var & | operator= (const ClientRequestInterceptor_var &)
ClientRequestInterceptor_ptr | operator-> (void) const
| operator const ClientRequestInterceptor_ptr & () const
| operator ClientRequestInterceptor_ptr & ()
ClientRequestInterceptor_ptr | in (void) const
ClientRequestInterceptor_ptr & | inout (void)
ClientRequestInterceptor_ptr & | out (void)
ClientRequestInterceptor_ptr | _retn (void)
ClientRequestInterceptor_ptr | ptr (void) const
## Static Public Methods
ClientRequestInterceptor_ptr | tao_duplicate (ClientRequestInterceptor_ptr)
void | tao_release (ClientRequestInterceptor_ptr)
ClientRequestInterceptor_ptr | tao_nil (void)
ClientRequestInterceptor_ptr | tao_narrow (CORBA::Object *ACE_ENV_ARG_DECL_NOT_USED)
CORBA::Object * | tao_upcast (void *)
## Private Methods
| ClientRequestInterceptor_var (const TAO_Base_var &rhs)
ClientRequestInterceptor_var & | operator= (const TAO_Base_var &rhs)
## Private Attributes
ClientRequestInterceptor_ptr | ptr_

## Constructor & Destructor Documentation

PortableInterceptor::ClientRequestInterceptor_var::ClientRequestInterceptor_var | ( | void |  | ) |

PortableInterceptor::ClientRequestInterceptor_var::ClientRequestInterceptor_var | ( | ClientRequestInterceptor_ptr | p | ) | `[inline]`

PortableInterceptor::ClientRequestInterceptor_var::ClientRequestInterceptor_var | ( | const ClientRequestInterceptor_var & |  | ) |

PortableInterceptor::ClientRequestInterceptor_var::~ClientRequestInterceptor_var | ( | void |  | ) |

PortableInterceptor::ClientRequestInterceptor_var::ClientRequestInterceptor_var | ( | const TAO_Base_var & | rhs | ) | `[private]`

## Member Function Documentation

ClientRequestInterceptor_ptr PortableInterceptor::ClientRequestInterceptor_var::_retn | ( | void |  | ) |

ClientRequestInterceptor_ptr PortableInterceptor::ClientRequestInterceptor_var::in | ( | void |  | ) | const

ClientRequestInterceptor_ptr& PortableInterceptor::ClientRequestInterceptor_var::inout | ( | void |  | ) |

PortableInterceptor::ClientRequestInterceptor_var::operator ClientRequestInterceptor_ptr & | ( |  | ) |

PortableInterceptor::ClientRequestInterceptor_var::operator const ClientRequestInterceptor_ptr & | ( |  | ) | const

ClientRequestInterceptor_ptr PortableInterceptor::ClientRequestInterceptor_var::operator-> | ( | void |  | ) | const

ClientRequestInterceptor_var& PortableInterceptor::ClientRequestInterceptor_var::operator= | ( | const TAO_Base_var & | rhs | ) | `[private]`

ClientRequestInterceptor_var& PortableInterceptor::ClientRequestInterceptor_var::operator= | ( | const ClientRequestInterceptor_var & |  | ) |

PortableInterceptor::ClientRequestInterceptor_var & PortableInterceptor::ClientRequestInterceptor_var::operator= | ( | ClientRequestInterceptor_ptr | p | ) |

ClientRequestInterceptor_ptr& PortableInterceptor::ClientRequestInterceptor_var::out | ( | void |  | ) |

PortableInterceptor::ClientRequestInterceptor_ptr PortableInterceptor::ClientRequestInterceptor_var::ptr | ( | void |  | ) | const

ClientRequestInterceptor_ptr PortableInterceptor::ClientRequestInterceptor_var::tao_duplicate | ( | ClientRequestInterceptor_ptr |  | ) | `[static]`

ClientRequestInterceptor_ptr PortableInterceptor::ClientRequestInterceptor_var::tao_narrow | ( | CORBA::Object * | ACE_ENV_ARG_DECL_NOT_USED | ) | `[static]`

ClientRequestInterceptor_ptr PortableInterceptor::ClientRequestInterceptor_var::tao_nil | ( | void |  | ) | `[static]`

void PortableInterceptor::ClientRequestInterceptor_var::tao_release | ( | ClientRequestInterceptor_ptr |  | ) | `[static]`

CORBA::Object* PortableInterceptor::ClientRequestInterceptor_var::tao_upcast | ( | void * |  | ) | `[static]`

## Member Data Documentation

ClientRequestInterceptor_ptr PortableInterceptor::ClientRequestInterceptor_var::ptr_`[private]`

The documentation for this class was generated from the following files:

- PortableInterceptorC.h
- PortableInterceptorC.cpp